import { directive, html, NodePart } from 'lit-html';
import { unsafeHTML } from 'lit-html/directives/unsafe-html';
export const indexMarkup = directive((markup) => (part) => {
    // if (
    //   !(part instanceof AttributePart) ||
    //   part instanceof PropertyPart ||
    //   part.committer.name !== 'data-linenumbers' ||
    //   part.committer.parts.length > 1
    // ) {
    //   throw new Error(
    //     'The `lineNumber` directive must be used in the `data-linenumbers` attribute and must be the only part in the attribute.'
    //   );
    // }
    if (!(part instanceof NodePart)) {
        throw new Error('repeat can only be used in text bindings');
    }
    const lines = markup.split(/\n/gm).length;
    const content = html `<div id="index">${unsafeHTML(new Array(lines + 1).join('<span></span>'))}</div>`;
    part.setValue(content);
    part.commit();
    const container = part.startNode.parentNode;
    console.log(container);
    requestAnimationFrame(() => {
    });
    // requestAnimationFrame(() => {
    //   const { committer } = part;
    //   const { element } = committer;
    //   const markupEl = element.querySelector("#markup") as HTMLElement;
    //   const markup = markupEl.innerText;
    //   if (!(markupEl instanceof HTMLElement)) throw Error("no markup element found");
    //   const container = element.querySelector("#index") || (() => {
    //     const el = document.createElement("div");
    //     el.id = "index";
    //     element.prepend(el);
    //     return el;
    //   })();
    //   const lines = markup.split(/\n/gm).length;
    //   container.innerHTML = new Array(lines + 1).join('<span></span>');
    //   part.setValue(lines);
    //   part.commit();
    // });
});
//# sourceMappingURL=index-markup.js.map