import { LitElement, TemplateResult } from 'lit-element';
import 'prismjs';
import 'prismjs/components/prism-typescript';
export declare class CodeHighlightElement extends LitElement {
    static styles: import("lit-element").CSSResult[];
    src?: string;
    language?: string;
    theme?: string;
    cdn?: string;
    plain: boolean;
    highlight?: Array<[number, number]>;
    protected _index?: HTMLElement;
    get codeElement(): HTMLElement;
    get source(): string;
    connectedCallback(): void;
    render(): TemplateResult;
    protected _renderIndex(): (part: import("lit-html").Part) => void;
    protected _renderHighlight(start: number, end?: number): TemplateResult | void;
    attributeChangedCallback(name: string, old: string | null, value: string | null): void;
}
export default CodeHighlightElement;
declare global {
    interface HTMLElementTagNameMap {
        'cwc-code-highlight': CodeHighlightElement;
    }
}
