import { LitElement } from 'lit-element';
export declare class CodeHighlightElement extends LitElement {
    static styles: import("lit-element").CSSResult[];
    src?: string;
    language?: string;
    theme?: string;
    cdn?: string;
    plain: boolean;
    highlight?: number[];
    get codeElement(): HTMLElement;
    get source(): string;
    connectedCallback(): void;
    render(): import("lit-element").TemplateResult;
    attributeChangedCallback(name: string, old: string | null, value: string | null): void;
}
export default CodeHighlightElement;
declare global {
    interface HTMLElementTagNameMap {
        'cwc-code-highlight': CodeHighlightElement;
    }
}
